Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine.pool
Class ShippingOrderObject

    java.lang.Object
      |
      +--com.bea.commerce.ebusiness.price.engine.pool.ShippingOrderObject

All Implemented Interfaces:
  OrderObject, PoolObject

public class ShippingOrderObject
extends Object
implements OrderObject

Interface to be implemented by 'orders' used as pool objects.

Constructor Summary
`ShippingOrderObject(Pool pool, Quote quote, String uid)`

Method Summary
`Money` | `getActualPrice()` returns the current price of the object
`Money` | `getBasePrice()` Corresponds to the base price for shipping.
`Pool` | `getPool()`
`String` | `getUID()` Returns the unique identifying string for this object.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShippingOrderObject

    public ShippingOrderObject(Pool pool,
                               Quote quote,
                               String uid)

Method Detail

### getBasePrice

    public Money getBasePrice()

  Corresponds to the base price for shipping.

  Specified by:
    `getBasePrice` in interface `OrderObject`
  Returns:
    Money a money object that represents the base price of the object.
  See Also:
    `Money`

### getActualPrice

    public Money getActualPrice()

  Description copied from interface: `PoolObject`
  returns the current price of the object

  Specified by:
    `getActualPrice` in interface `PoolObject`
  Returns:
    Money a money object that represents the current price of the current.
  See Also:
    `Money`

### getPool

    public Pool getPool()

  Specified by:
    `getPool` in interface `PoolObject`

### getUID

    public String getUID()

  Description copied from interface: `PoolObject`
  Returns the unique identifying string for this object.

  Specified by:
    `getUID` in interface `PoolObject`
  Returns:
    String unique identifying string for this PoolObject.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved